Subject: [bug#58587] [PATCH 04/14] build-system: Add pyproject-build-system.

From: Lars-Dominik Braun <[email-masked]>
Date: Thu, 27 Oct 2022 17:17:05 +0200

Hi Maxim,

as the original author, I might be able to answer a few of these
questions.

> Not sure how this #!python shebang comes into existence; as that isn't a
> valid one.  Perhaps double check things here?
As mentioned by the docstring of INSTALL this conforms to PEP 427.

> Phew, that's a lot of parsing and manual handling of things.  I'd rather
> we leave this to uptream tooling instead of having to maintain that
> ourselves, but based on previous discussion it remember that
> bootstrapping pypi was thought too difficult.
Last time I checked installer (https://github.com/pypa/installer)
wasn’t in a good enough shape to use it here. We’d still have
to write a few lines of Python code, since it does not come with an
executable. Bootstrapping pip is pretty much impossible due to the amount
of vendored components.

Lars